Mur Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Wall and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文(中国大陆)‎ • ‎中文(台灣)‎
FreeCAD.png
Page suivante: Structure Arch Structure.png Arrow-right.svg

Arch Wall.svg Architecture Mur

Emplacement du menu
Arch → Mur
Ateliers
Arch
Raccourci par défaut
W A
Introduit dans la version
-
Voir aussi
Structure


Description

Cet outil crée un objet mur à partir de zéro ou sur la base de n'importe quel objet shape ou sur la base de n'importe quel objet mesh. Un mur peut être construit sans objet de base, il se comportera alors comme un volume cubique, il sera construit à l'aide des propriétés de longueur, largeur et hauteur. Lorsque qu'il est construit sur une forme existante, le mur peut être basé sur :

  • Un linear 2D object objet linéaire 2D, tel que ligne, fil, arc ou croquis, dans ce cas, vous pouvez modifier l'épaisseur, l'alignement (droite, gauche ou centré) et la hauteur. La propriété de longueur n'a pas d'effet.
  • Une flat face face plane, dans ce cas, vous ne pouvez pas changer la hauteur. La propriété length (longueur) n'a pas d'effet. Si le base de la face est verticale, le mur utilisera la propriété largeur au lieu de la propriété hauteur, vous permettant de construire des murs à partir d'objets en forme d'espace ou d'étude de masse.
  • Un solid solide, les propriétés de longueur, de largeur et de hauteur n'ont aucun effet. Le mur utilise simplement le solide sous-jacent comme forme.
  • Un mesh maille, dans ce cas, le maillage sous-jacent doit être un solide non multiple fermé.

Arch Wall example.jpg

L'exemple ci-dessus montre les murs en cours de construction au-dessus d'une ligne, un fil, une face, un solide, et, un croquis.


Les murs peuvent aussi avoir des ajouts ou des soustractions. Les ajouts sont d'autres objets dont les formes sont jointes aux formes du mur, tandis que les soustractions sont soustraites. L'Ajout, et, la soustraction peuvent être exécutés grâce aux outils Ajouter et, Supprimer. Les additions, et, les soustractions n'ont aucune influence sur les paramètres de mur, comme la hauteur, et, la largeur, et, ce qui peut être encore modifié. Les murs peuvent aussi avoir une hauteur automatique, si elles sont incluses dans un objet de niveau supérieur tels que lescellules ou les planchers. La hauteur doit être maintenue à 0, puis le mur doit adopter la hauteur spécifiée dans l'objet parent.

Lorsque plusieurs murs doivent se croiser, vous devez les placer dans une cellule ou un sol, et, avoir leurs géométries entre coupées.

Utilisation

Dessiner un mur au niveau désiré

  1. Pressez le bouton Arch Wall.svg Atelier Architecture, ou pressez les touches W, et, A.
  2. Cliquez le premier point dans la vue 3D, ou tapez une coordonnée.
  3. Cliquez le second point dans la vue 3D, ou tapez une coordonnée.

Dessinez un mur sur un objet sélectionné

  1. Sélectionnez un ou plusieurs objets géométriques de base (Draft object, sketch, etc)
  2. Cliquez sur le bouton Arch Wall.pngArch_Wall ou pressez les touches W then A.
  3. Ajustez les propriétés nécessaires telles que, la hauteur ou la largeur.

Options

  • Walls partage les comportement et propriétés communes pour tous les Composants Arch
  • La hauteur, la largeur, et, l'alignement d'un mur peuvent être définis lors de l'élaboration, via la Vue combinée → Propriétés
  • Lorsque l'on aligne un nouveau mur à un mur existant, les deux murs se raccorderont en un seul mur. La manière dont les deux parois vont se joindre, dépend de leurs propriétés : s'ils ont la même largeur, hauteur, et, alignement. Le mur résultant, sera un objet basé sur un dessin, constitué de plusieurs segments. Dans le cas contraire, le dernier mur, sera ajouté comme un complément du premier mur.
  • Pressez les touches X, Y ou Z après le premier point pour contraindre le second point sur les axes donnés.
  • Vous pouvez entrer les coordonnées manuellement, simplement en entrant un nombre, puis tapez ENTER entre chaque composants X, Y, et, Z.
  • Pressez la touche R ou cochez / décochez la case Relatif. Si Relatif est coché, les coordonnées du second point sont relatives au premier point. Si Relatif est décoché, le point est absolu, les coordonnées commencent au point d'origine (0,0,0).
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et, votre ligne sera contrainte horizontalement ou verticalement.
  • Appuyez sur ESC ou le boutonAnnuler pour annuler l'opération, et, quitter la fonction.
  • Après sa création, faire un double-clic sur le mur, dans l'arborescence de la Vue combinée, vous permet d'entrer dans le mode édition, et, d’accéder aux modifications, aux ajouts ou aux suppressions.
  • Les murs multicouches peuvent être créés facilement par la construction de plusieurs murs sur la même ligne de base. En affectant les propriétés Align et en spécifiant une valeur de décalage gauche ou droite, vous pouvez effectivement construire plusieurs couches sur la paroi. Placer une fenêtre dans une telle couche de mur propagera l'ouverture vers les autres couches de la paroi basée sur la même ligne de base.
  • Les murs peuvent également utiliser la fonction Multi-Matériaux. Lors de l'utilisation d'un objet multi-matériaux, le mur devient multicouche, en utilisant les épaisseurs spécifiées par le multi-matériaux. Toute couche avec une épaisseur de zéro aura son épaisseur définie automatiquement par l'espace restant défini par la valeur de la largeur du mur, après avoir soustrait les autres couches.
  • Les murs peuvent être faits pour afficher des blocs, au lieu d'un seul solide, en activant leurs propriétés DONNÉESMake Blocks. La taille et le décalage des blocs peuvent être configurés avec des propriétés différentes, et la quantité de blocs est calculée automatiquement. Disponible dans la version 0.18

Accrochage (Snapping)

La fonction accrochage (snapping) pour Arch walls est un peu différente qu'avec Arch et les autres objets Draft. Si un mur a un objet de base, l'accrochage se fait sur l'objet de base, au lieu de la géométrie du mur, ce qui permet d'aligner facilement le mur sur sa ligne de base. Si, toutefois, vous voulez spécifiquement que l'alignement se fasse sur la géométrie du mur, appuyez sur la touche Ctrl et l'accrochage se fera sur le mur.

Arch wall snap.jpg

Le deuxième mur se coupe perpendiculairement au premier


Propriétés

Les objets muraux héritent des propriétés de Part, et ont également les propriétés supplémentaires suivantes :

  • DONNÉESAlign: L'alignement de la base du mur sur la base de référence : Gauche, Droite ou Centre
  • DONNÉESBase: Ce mur est construit sur l'objet de base
  • DONNÉESFace: L'index de la face de l'objet de base utilisée. Si la valeur n'est pas définie ou est 0, l'objet entier est utilisé
  • DONNÉESForce Wire: Si la valeur est True le mur est basé sur une face, seul le bord de la face est utilisée, résultant en un mur bordant la face
  • DONNÉESLength: la longueur du mur (non utilisé lorsque le mur est basé sur une face)
  • DONNÉESWidth: La largeur du mur. (non utilisé lorsque le mur est basé sur une face)
  • DONNÉESHeight: La hauteur du mur (non utilisé lorsque le mur est basé sur une face). Si aucune hauteur n'est donnée et que le mur est à l'intérieur d'un objet floor avec sa hauteur définie, le mur prendra automatiquement la valeur de la hauteur de l'étage.
  • DONNÉESNormal: Donne une direction pour l'extrusion du mur. Si la valeur (0,0,0), la direction d'extrusion est automatique.
  • DONNÉESOffset: Spécifie la distance entre le mur et le niveau de référence. Fonctionne uniquement si la propriété Align est à droite ou à gauche (Right ou Left.).

Disponible dans la version 0.18:

  • DONNÉESMake Blocks: Activez cette propriété pour créer les blocs
  • DONNÉESBlock Length: La longueur de chaque bloc
  • DONNÉESBlock Height: La hauteur de chaque bloc
  • DONNÉESOffset First: Décalage horizontal de la première ligne de blocs
  • DONNÉESOffset Second: Décalage horizontal de la deuxième ligne de blocs
  • DONNÉESJoint: Donnez la taille des joints entre chaque bloc
  • DONNÉESCount Entire: Le nombre de blocs entiers (lecture seule)
  • DONNÉESCount Broken: Le nombre de blocs coupés (lecture seule)

Script

Voir aussi: Arch API et FreeCAD Scripting Basics.

L'outil mur peut servir dans une macros, et, à partir de la console Python en utilisant la fonction suivante :

Wall = makeWall(baseobj=None, length=None, width=None, height=None, align="Center", face=None, name="Wall")
  • Crée un objet Mur à partir d'objet donné, qui peut être un objet Draft, un objet Sketch, une face ou un solide.
    • Si aucun objet n'est indiqué, vous pouvez fournir les valeurs numériques pour longueur, largeur (épaisseur) et hauteur.
    • Si donné, face peut être utilisé pour donner l'index d'une face à partir de l'objet sous-jacent, pour construire ce mur, au lieu d'utiliser tout l'objet.
  • align peut être au "Centre", à "Gauche" ou à "Droite".
  • Il renvoie None si l'opération échoue.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
Draft.move(Wall2, FreeCAD.Vector(0, -1000, 0))
FreeCAD.ActiveDocument.recompute()
FreeCAD.png
Page suivante: Structure Arch Structure.png Arrow-right.svg